# \[Troubleshooting] How to avoid being assigned to a test – the optout method

The opt-out method enables you to know if a running AB Tasty campaign is causing an issue on your website.

## When should you use it? <a href="#h_01ggf3s955wc42qdrgh9e5wg39" id="h_01ggf3s955wc42qdrgh9e5wg39"></a>

You should use the opt-out method if you encounter a problem on your website (infinite loop, blank page, internal errors, etc.) and you need to understand quickly to correct it. Using the opt-out method allows you to deactivate AB Tasty momentarily only on your browser to analyze whether a campaign is causing the issue.<br>

## How to use it <a href="#h_01ggf3shcwhxaczxtnra11mqjq" id="h_01ggf3shcwhxaczxtnra11mqjq"></a>

To use this method, add the **#abtastyoptout=1** code to the end of the URL of the page you have identified as having an issue. For example: <http://www.abtasty.com/#abtastyoptout=1>

For the parameter to be taken into account, don’t forget to refresh the page once you have added this to the URL.

## How does it work? <a href="#h_01ggf3tmft1e26vwwnhv9j46c6" id="h_01ggf3tmft1e26vwwnhv9j46c6"></a>

This parameter creates a cookie in your browser to store the opt-out information.

This cookie will block the AB Tasty tag and make all campaigns inactive. This can be verified by checking the **ABTasty.results** value in the console.<br>

**Undefined** means that the AB Tasty tag is deactivated, and you are not assigned to any campaigns at the moment.

\
To unblock the tag, you should delete your cookies (or at least the **ABTastyOptout** cookie). Once deleted, you’ll be able to see your campaigns again.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abtasty.com/help-center/troubleshooting/troubleshooting-how-to-avoid-being-assigned-to-a-test-the-optout-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
